sharpening (at least as option) and higher thumb-quality
Closed, ResolvedPublic

Description

Author: klee

Description:
Nearly all photographs benefit from minor sharpening when reduced to thumbnail
size. It would be nice if MediaWiki automatically applied some sharpening to
all JPEG thumbnails. The ability is already there in GD and ImageMagick.

Ideally there would be a way to disable it (I'd suggest |rawthumb| rather than

thumbfor thumbnails with scaling only) but given how thumbnails are used this

doesn't seem strictly necessary.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz6193.
bzimport created this task.Via LegacyJun 3 2006, 8:50 PM
bzimport added a comment.Via ConduitJun 3 2006, 9:23 PM

wegge wrote:

If the image should be sharpened in any particular resolution, the uploader
should do that manually. An automatic action on all images will produce shitty
results in a few cases, without editors having a chance of finding out why. I
feel inclined to WONTFIX this right away.

bzimport added a comment.Via ConduitJun 5 2006, 11:45 AM

klee wrote:

In other words, you prefer to optimize for the uncommon case, rather than the common case.

Domas added a comment.Via ConduitJun 5 2006, 11:56 AM

domas.mituzas wrote:

interesting, can anyone provide with a gallery of examples? :)

brion added a comment.Via ConduitSep 25 2006, 9:57 PM
  • Bug 7383 has been marked as a duplicate of this bug. ***
Raymond added a comment.Via ConduitSep 25 2006, 10:26 PM

(in replay to comment #1)

If the image should be sharpened in any particular resolution, the uploader
should do that manually. An automatic action on all images will produce shitty
results in a few cases

The full size uploaded image has to be as sharp as possible. But please believe
me, if you scale down an image you has to resharpen it for a better look.

(In reply to comment #3)

interesting, can anyone provide with a gallery of examples? :)

Please see example at bug 7383.

If possible by the used libs, please add a little bit sharpness to the generated
thumbs. The actual generated thumbs are to blurry even though the original full
size uploaded image is really sharp.

bzimport added a comment.Via ConduitNov 19 2006, 5:39 PM
bzimport added a comment.Via ConduitDec 6 2006, 9:10 PM

addicks wrote:

I would really appreciate automatic sharpening for thumbnails PLUS more quality for
thumbnails.
The quality of the thumbnails generated by mediawiki are o.k. for "old CRTs on bad VGA-
cabling", and for lowres uploads. but the higher the resolution of the uploaded images, the
worse the thumbs/scalings become.

As you ask for examples, to visualize the need for this function

a) Sharpeining for Thumbs
Please compare
-Raw Image "sharp, "uploaded in hires"
http://upload.wikimedia.org/wikipedia/de/d/d6/K%C3%B6nigsallee_in_D%C3%BCsseldorf_Girardetbr%
C3%BCcke_bei_Nacht.jpg

-Raw Image "sharpened" "low resolution upload"
http://upload.wikimedia.org/wikipedia/commons/1/1a/Koenigsallee_okt2004.jpg

In the article the thumb of the lowres-picture looks brilliant, but the thumb of the hires is
really ugly.

http://upload.wikimedia.org/wikipedia/de/thumb/d/d6/K%C3%B6nigsallee_in_D%C3%
BCsseldorf_Girardetbr%C3%BCcke_bei_Nacht.jpg/300px-K%C3%B6nigsallee_in_D%C3%
BCsseldorf_Girardetbr%C3%BCcke_bei_Nacht.jpg
and compare to
http://upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Koenigsallee_okt2004.jpg/300px-
Koenigsallee_okt2004.jpg

Or on drawings:
Fulres:
http://upload.wikimedia.org/wikipedia/commons/c/ce/Schwarzplan_Tausendfuessler.jpg
thumb:
http://upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Schwarzplan_Tausendfuessler.jpg/200px-
Schwarzplan_Tausendfuessler.jpg

b) More q (quality) for thumgs
there are often very disturbing artefacts on the thumbnails

have a look at the Tomatoe-Images
original:
http://upload.wikimedia.org/wikipedia/commons/d/d2/Tomatoes_plain_and_sliced.jpg

thumb:
http://upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Tomatoes_plain_and_sliced.jpg/250px-
Tomatoes_plain_and_sliced.jpg

-jha-

bzimport added a comment.Via ConduitDec 6 2006, 9:12 PM

addicks wrote:

I would really appreciate automatic sharpening for thumbnails PLUS more quality for thumbnails.
The quality of the thumbnails generated by mediawiki are o.k. for "old CRTs on bad VGA-cabling",
and for lowres uploads. but the higher the resolution of the uploaded images, the worse the
thumbs/scalings become.

As you ask for examples, to visualize the need for this function

a) Sharpeining for Thumbs
Please compare
-Raw Image "sharp, "uploaded in hires"
http://upload.wikimedia.org/wikipedia/de/d/d6/K%C3%B6nigsallee_in_D%C3%BCsseldorf_Girardetbr%C3%
BCcke_bei_Nacht.jpg

-Raw Image "sharpened" "low resolution upload"
http://upload.wikimedia.org/wikipedia/commons/1/1a/Koenigsallee_okt2004.jpg

In the article the thumb of the lowres-picture looks brilliant, but the thumb of the hires is
really ugly.

http://upload.wikimedia.org/wikipedia/de/thumb/d/d6/K%C3%B6nigsallee_in_D%C3%
BCsseldorf_Girardetbr%C3%BCcke_bei_Nacht.jpg/300px-K%C3%B6nigsallee_in_D%C3%
BCsseldorf_Girardetbr%C3%BCcke_bei_Nacht.jpg
and compare to
http://upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Koenigsallee_okt2004.jpg/300px-
Koenigsallee_okt2004.jpg

Or on drawings:
Fulres:
http://upload.wikimedia.org/wikipedia/commons/c/ce/Schwarzplan_Tausendfuessler.jpg
thumb:
http://upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Schwarzplan_Tausendfuessler.jpg/200px-
Schwarzplan_Tausendfuessler.jpg

b) More q (quality) for thumgs
there are often very disturbing artefacts on the thumbnails

have a look at the Tomatoe-Images
original:
http://upload.wikimedia.org/wikipedia/commons/d/d2/Tomatoes_plain_and_sliced.jpg

thumb:
http://upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Tomatoes_plain_and_sliced.jpg/250px-
Tomatoes_plain_and_sliced.jpg

-jha-

Smial added a comment.Via ConduitDec 6 2006, 11:54 PM

(In reply to comment #3)

interesting, can anyone provide with a gallery of examples? :)

I've made an example here:

http://de.wikipedia.org/wiki/Benutzer:Smial/thumbtest

Comments are welcome

smial

Smial added a comment.Via ConduitDec 17 2006, 8:45 PM

(In reply to comment #9)

(In reply to comment #3)
> interesting, can anyone provide with a gallery of examples? :)

Please visit
http://www.smial.prima.de/bilderwerkstatt/thumbtest/wikimedia_thumbtest.html
Six examples for different values for the "convert" command.
Comments or questions welcome here:
http://de.wikipedia.org/wiki/Benutzer_Diskussion:Smial/thumbtest
In short:
convert "input file" -thumbnail %sizex -sharpen 0x0.8 "output file"
should be a useful compromise for either small thumbs down to 120px or previews
at least up to 800x600px.
smial

Raymond added a comment.Via ConduitApr 27 2007, 4:22 PM

Fixed with r21411 by Tim Starling. Thanks a lot!

kaldari added a comment.Via ConduitAug 31 2010, 6:14 PM

See also Bug 24857 (sharpening affected by ImageMagick update).

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:44 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.